Hub Event Calendar Subscription Reset
curl --request POST \
--url https://api.member.dev/api/v1/hubs/{hub_id}/events/calendar-subscription/reset \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.member.dev/api/v1/hubs/{hub_id}/events/calendar-subscription/reset"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.member.dev/api/v1/hubs/{hub_id}/events/calendar-subscription/reset', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.member.dev/api/v1/hubs/{hub_id}/events/calendar-subscription/reset",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.member.dev/api/v1/hubs/{hub_id}/events/calendar-subscription/reset"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.member.dev/api/v1/hubs/{hub_id}/events/calendar-subscription/reset")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.member.dev/api/v1/hubs/{hub_id}/events/calendar-subscription/reset")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"attributes": {
"feed_url": "<string>",
"google_url": "<string>",
"outlook_url": "<string>",
"webcal_url": "<string>"
},
"id": "<string>",
"type": "hub_event_calendar_subscriptions"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}hub-events
Hub Event Calendar Subscription Reset
Replace the signed-in member’s calendar subscription link.
The previous link stops working immediately, so any calendar still using it stops updating and must subscribe again with the new link. Returns the same shape as the read route. Returns 404 for anyone who is not a current member, or when Events is not available to them.
POST
/
api
/
v1
/
hubs
/
{hub_id}
/
events
/
calendar-subscription
/
reset
Hub Event Calendar Subscription Reset
curl --request POST \
--url https://api.member.dev/api/v1/hubs/{hub_id}/events/calendar-subscription/reset \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.member.dev/api/v1/hubs/{hub_id}/events/calendar-subscription/reset"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.member.dev/api/v1/hubs/{hub_id}/events/calendar-subscription/reset', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.member.dev/api/v1/hubs/{hub_id}/events/calendar-subscription/reset",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.member.dev/api/v1/hubs/{hub_id}/events/calendar-subscription/reset"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.member.dev/api/v1/hubs/{hub_id}/events/calendar-subscription/reset")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.member.dev/api/v1/hubs/{hub_id}/events/calendar-subscription/reset")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"attributes": {
"feed_url": "<string>",
"google_url": "<string>",
"outlook_url": "<string>",
"webcal_url": "<string>"
},
"id": "<string>",
"type": "hub_event_calendar_subscriptions"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}